import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';
import 'package:mohem_flutter_app/extensions/int_extensions.dart';
import 'package:mohem_flutter_app/extensions/widget_extensions.dart';
import 'package:mohem_flutter_app/generated/locale_keys.g.dart';
import 'package:mohem_flutter_app/provider/dashboard_provider_model.dart';
import 'package:mohem_flutter_app/ui/marathon/marathon_provider.dart';
import 'package:mohem_flutter_app/ui/marathon/widgets/marathon_details_card.dart';
import 'package:mohem_flutter_app/ui/marathon/widgets/marathon_footer.dart';
import 'package:mohem_flutter_app/ui/marathon/widgets/marathon_timer_card.dart';
import 'package:mohem_flutter_app/ui/screens/event_activity/activity_event_card.dart';
import 'package:mohem_flutter_app/ui/screens/event_activity/activity_footer.dart';
import 'package:mohem_flutter_app/widgets/app_bar_widget.dart';
import 'package:provider/provider.dart';

class EventActivityScreen extends StatelessWidget {
  const EventActivityScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    DashboardProviderModel provider = context.read<DashboardProviderModel>();
    return Scaffold(
      appBar: AppBarWidget(
        context,
        title: LocaleKeys.details.tr(),
        onHomeTapped: () {
          Navigator.pop(context);

        },
        onBackTapped: () {
          Navigator.pop(context);
        },
      ),
      body: Column(
        children: <Widget>[
          ListView(
            padding: const EdgeInsets.all(21),
            children: <Widget>[
             ActivityEventDetailsCard(model: provider),
              20.height,
            ],
          ).expanded,
          1.divider,
          ActivityEventFooter(provider: provider),
        ],
      ),
    );
  }
}
